สร้างการถอดเสียง
post/v1/audio/transcriptions
ถอดเสียงเป็นข้อความ
การยืนยันตัวตน
ส่งคีย์ API ของ OLETOKEN เป็น Bearer token สร้างคีย์ได้ที่หน้า API Keys ในคอนโซล
Authorization: Bearer $OLETOKEN_API_KEYเนื้อหาคำขอ
Content-Type:multipart/form-data
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
| file | string | ไฟล์เสียง | |
| model | string | — | |
| language | string | — | รหัสภาษา ISO-639-1 |
| prompt | string | — | — |
| response_format | stringdefault: jsonjsontextsrtverbose_jsonvtt | — | — |
| temperature | number | — | — |
| timestamp_granularities | string[] | — | — |
การตอบกลับ
200สร้างการถอดเสียงแล้ว
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
| text | string | — | — |
ตัวอย่างคำขอ
curl -X POST 'https://api.oletoken.ai/v1/audio/transcriptions' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-F 'file=' \
-F 'model=whisper-1'
